Skip to content

Quick Start ​

Get tracking live in 2 minutes with client-side MarkTag.

Prerequisites ​

  1. Get your API token - Contact partners@markopolo.ai
  2. Have your token ready - It looks like mp_live_abc123...

Step 1: Create a Merchant ​

bash
curl -X POST https://api-alpha.markopolo.ai/v1/partners/merchant \
  -H "Authorization: Bearer mp_live_YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "My Store",
    "domain": "mystore.com"
  }'

Save the merchantId from the response.

Step 2: Generate Client-Side MarkTag ​

bash
curl -X POST https://api-alpha.markopolo.ai/v1/partners/marktag \
  -H "Authorization: Bearer mp_live_YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "merchantId": "YOUR_MERCHANT_ID",
    "type": "client_side"
  }'

Step 3: Install the Tracking Code ​

Add the JavaScript snippet from the response to your website's <head>:

html
<script src="https://mtag.markopolo.ai/?tagId=TAG_ABC123XYZ.js"></script>

Done! ​

You're now tracking events. Verify it's working:

bash
curl -X GET "https://api-alpha.markopolo.ai/v1/partners/events?merchantId=YOUR_MERCHANT_ID&limit=1" \
  -H "Authorization: Bearer mp_live_YOUR_TOKEN"

Next Steps ​

Need Different Integration? ​

Explore the API ​

Resources ​